--- libvirt.orig/src/virsh.c	2007-08-08 00:26:51.000000000 +0900
+++ libvirt/src/virsh.c	2007-08-13 18:11:18.000000000 +0900
@@ -1668,7 +1668,7 @@ static int
 cmdSetvcpus(vshControl * ctl, vshCmd * cmd)
 {
     virDomainPtr dom;
-    int count;
+    unsigned int count;
     int maxcpu;
     int ret = TRUE;
 
@@ -1678,7 +1678,7 @@ cmdSetvcpus(vshControl * ctl, vshCmd * c
     if (!(dom = vshCommandOptDomain(ctl, cmd, "domain", NULL)))
         return FALSE;
 
-    count = vshCommandOptInt(cmd, "count", &count);
+    count = (unsigned int)vshCommandOptInt(cmd, "count", &count);
     if (!count) {
         vshError(ctl, FALSE, _("Invalid number of virtual CPUs."));
         virDomainFree(dom);
